Hi guys,

| So I think the best idea is to only support Java 9+, if you want HTTP2 and TLS.
+1 for this 

I think the support for Java 8 + SSL + HTTP/2 by using Conscrypt or other methods can be done later, it is not necessary for merging http2 branch to master.